import { Component } from 'react';
import { ColumnFilterMenuProps, ColumnFilterMenuState, ColumnProps, CustomColumn } from './interface';
export default class ColumnFilterMenu<T> extends Component<ColumnFilterMenuProps<T>, ColumnFilterMenuState> {
    static getDerivedStateFromProps(nextProps: ColumnFilterMenuProps<any>, prevState: ColumnFilterMenuState): {
        customColumns: CustomColumn[];
        prevCustomColumns: CustomColumn[];
    } | null;
    items: {
        [key: string]: any;
    };
    constructor(props: ColumnFilterMenuProps<T>);
    render(): JSX.Element;
    handleEditChange: (editing: boolean) => void;
    renderFilterIcon: () => JSX.Element;
    handleConfirmBtnClick: () => void;
    renderEditItem(column: ColumnProps<T>, index: number): JSX.Element;
    renderEditTitle(): JSX.Element;
    renderEditContent(): JSX.Element[];
    handleItemRef: (key: string, element: any) => void;
}
